Biblio::Thesaurus::ModRewrite::Embed(3pm)

NAME
Biblio::Thesaurus::ModRewrite::Embed - a module to embed OML programs in Perl code.

SYNOPSIS
  use Biblio::Thesaurus::ModRewrite::Embed;

  OML proc
  $city 'city-of' $country => sub { print "$city is in $country\n"; }.
  ENDOML

  proc('ontology.iso');

DESCRIPTION
This module can be used to embed OML programs in Perl source code. This module works as a filter for the source code, so you should only need to load it.

FUNCTIONS

  buildOML
This function is used to create a new function to execute the OML code found.

  FILTER
This filters your Perl source code.

EXAMPLES
Look in the examples and bin directory for sample programs.

AUTHOR
Nuno Carvalho, "<smash@cpan.org>"

J.Joao Almeida, "<jj@di.uminho.pt>"

Alberto Simoes, "<albie@alfarrabio.di.uminho.pt>"

COPYRIGHT & LICENSE
Copyright 2008 Nuno Carvalho, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.